Subject: [PATCH v3 00/19] Exynos SYSMMU (IOMMU) integration with DT and DMA-mapping subsystem

From: [email-masked] (Javier Martinez Canillas)
Date: Tue, 20 Jan 2015 15:05:38 +0100

Hello Joonyoung,

On 01/20/2015 12:12 PM, Joonyoung Shim wrote:
>>>
>>> I dug further on this issue and found that the cause is that the exynos_mixer
>>> driver needs some clocks (CLK_HDMI and CLK_SCLK_HDMI) grabbed by exynos_hdmi
>>> to be kept enabled after hdmi_poweroff (drivers/gpu/drm/exynos/exynos_hdmi.c).
>>>
>>> Otherwise, any access to mixer device registers leads to an imprecise external
>>> abort error. The following change [0] to the Exynos DRM HDMI driver makes the
>>> issue to not happen and I can successfully execute:
>>>
>>> # echo 1 > /sys/devices/platform/exynos-drm/graphics/fb0/blank
>>> # echo 0 > /sys/devices/platform/exynos-drm/graphics/fb0/blank
>>>
> 
> Did you execute this operation repeatedly? Still i get error when i
> execute this more than twice with your change [0].
>

You mean that you are seeing the "Power domain power-domain disable failed"
message but the system is not crashing or that you are still having the
system crash?

I've seen the former when running multiple times but I have not seen the
crash when the hdmi clock is not disabled on hdmi_poweroff().

> Thanks.

Best regards,
Javier